Expected Payments

Methods

GET

Retrieve Single Expected Payment

/backend/api/v1/expectedPayments/ID - fetch expected payment with specified ID.

List Expected Payments

/backend/api/v1/expectedPayments/ - list all expected payments.

/backend/api/v1/customers/ID/expectedPayments/ - list expected payments belonging to customer with specified ID.

By default only open (unmatched) expected payments are shown.

Additional Query Parameters
ParameterTypeRequiredDescription
completeflagNoShow only matched expected payments
includeCompleteflagNoShow all expected payments, including matched
paymentIDintegerNoFilter by linked payment ID

POST

/backend/api/v1/customers/ID/expectedPayments/ - add a new expected payment to the specified customer, the newly-added expected payment will be returned.

PATCH

/backend/api/v1/expectedPayments/ID - update expected payment with specified ID. The modified expected payment will be returned.

DELETE

/backend/api/v1/expectedPayments/ID - delete expected payment with specified ID.

Fields

FieldNameTypeDescription
ourReferenceOur ReferenceTextInternal reference for this expected payment
customerReferenceCustomer’s ReferenceTextCustomer’s own reference for this payment
expectedPaymentTypeExpected Payment TypePreset ValueThe type/category of this expected payment
expectedPaymentDueDateExpected DateDateThe date this payment is expected to be received
requestedPaymentTypeIDsRequest Payment ByPreset Value(s)Payment methods to request from the customer
expectedPaymentAmountAmountCurrencyThe amount expected to be paid
directDebitAccountIDDirect Debit AccountPreset ValueDirect debit account to collect payment from
paymentCardIDPayment CardPreset ValuePayment card to charge for this payment
paymentIDBy PaymentPreset ValueThe actual payment that fulfilled this expected payment
idExpected Payment IDTextThe unique identifier for this expected payment
revisionNumberRevisionTextInternal version tracking number for this expected payment
customerIDCustomerTextThe customer this expected payment is for

Still Didn’t Find Your Answer?

For assistance, please contact us below.

Submit a ticket